org.apache.ignite.internal.processors.hadoop.shuffle

## Class HadoopShuffleFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.shuffle.HadoopShuffleFinishRequest

All Implemented Interfaces:
  Externalizable, Serializable, HadoopMessage, Message

    public class HadoopShuffleFinishRequest
    extends Object
    implements Message, HadoopMessage

Shuffle finish request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`HadoopShuffleFinishRequest()` Default constructor.
`HadoopShuffleFinishRequest(HadoopJobId jobId, long msgCnt)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`HadoopJobId` `jobId()`
`long` `messageCount()`
`void` `onAckReceived()` Method called when ack message received.
`void` `readExternal(ObjectInput in)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopShuffleFinishRequest

    public HadoopShuffleFinishRequest()

Default constructor.

#### HadoopShuffleFinishRequest

    public HadoopShuffleFinishRequest(HadoopJobId jobId,
                                      long msgCnt)

Constructor.

Parameters:
  `jobId` - Job.
  `msgCnt` - Message count.

### Method Detail

#### jobId

    public HadoopJobId jobId()

Returns:
  Job ID.

#### messageCount

    public long messageCount()

Returns:
  Message count.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018